Name:           perl-Gearman
Version:        1.09
Release:        3%{?dist}
Summary:        Distributed job system
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://danga.com/gearman/
Source0:        http://search.cpan.org/CPAN/authors/id/B/BR/BRADFITZ/Gearman-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  perl(Test::More)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(String::CRC32)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Gearman is a system to farm out work to other machines,
dispatching function calls to machines that are better suited to do work,
to do work in parallel, to load balance lots of function calls,
or to call functions between languages.

%prep
%setup -q -n Gearman-%{version}

# Filter double proved for Gearman::Client:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/^perl(Gearman::Client)$/d'
EOF

%define __perl_provides %{_builddir}/Gearman-%{version}/%{name}-prov
chmod +x %{__perl_provides}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES HACKING TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.09-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.09-2
- rebuild for new per

* Sat Jun 30 2007 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.09-1
- Upstream released new version
- New version now includes license information
- Filter out just one of the two Provides for Gearman::Client
* Thu Jun 28 2007 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.08-2
- Filter out double Provides for Gearman::Client
- Change Source0 url
* Mon May 21 2007 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.08-1
- Initial import

